Create price category

Creates a new price category.

Price categories allow you to define different pricing tiers for your products, such as retail, wholesale, regional pricing, or customer-specific pricing.

Body Fields

FieldTypeRequiredDescription
namestringYesCategory name (e.g., "Retail", "Wholesale", "VIP")
byDefaultbooleanNoSet as default price category (default: false)
taxobjectNoAssociated tax: {"id": <tax_id>}

Response Fields

FieldTypeDescription
idintegerNewly created price category unique identifier
namestringCategory name
byDefaultbooleanWhether this is the default price category
createdAtdatetimeCreation timestamp
updatedAtdatetimeLast update timestamp

Response

  • 201 Created: Price category successfully created
  • 400 Bad Request: Invalid request body or validation error
  • 401 Unauthorized: Invalid or missing API key
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
boolean
tax
object
Responses
201

Resource created

400

Bad request

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!